Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDateTimeEdit.Section

    java.lang.Object
      java.lang.Enum<QDateTimeEdit.Section>
          com.trolltech.qt.gui.QDateTimeEdit.Section

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDateTimeEdit.Section>

Enclosing class:
  QDateTimeEdit

    public static enum QDateTimeEdit.Section

extends java.lang.Enum<QDateTimeEdit.Section>
implements QtEnumerator

Press link for info on QDateTimeEdit.Section

Enum Constant Summary
`AmPmSection` Internal.
`DateSections_Mask` Internal.
`DaySection` Internal.
`HourSection` Internal.
`MinuteSection` Internal.
`MonthSection` Internal.
`MSecSection` Internal.
`NoSection` Internal.
`SecondSection` Internal.
`TimeSections_Mask` Internal.
`YearSection` Internal.

Method Summary
`static QDateTimeEdit.Sections` | `createQFlags(QDateTimeEdit.Section... values)`
`static QDateTimeEdit.Section` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDateTimeEdit.Section` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDateTimeEdit.Section[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoSection

    public static final QDateTimeEdit.Section NoSection

  Internal.

### AmPmSection

    public static final QDateTimeEdit.Section AmPmSection

  Internal.

### MSecSection

    public static final QDateTimeEdit.Section MSecSection

  Internal.

### SecondSection

    public static final QDateTimeEdit.Section SecondSection

  Internal.

### MinuteSection

    public static final QDateTimeEdit.Section MinuteSection

  Internal.

### HourSection

    public static final QDateTimeEdit.Section HourSection

  Internal.

### DaySection

    public static final QDateTimeEdit.Section DaySection

  Internal.

### MonthSection

    public static final QDateTimeEdit.Section MonthSection

  Internal.

### YearSection

    public static final QDateTimeEdit.Section YearSection

  Internal.

### TimeSections_Mask

    public static final QDateTimeEdit.Section TimeSections_Mask

  Internal.

### DateSections_Mask

    public static final QDateTimeEdit.Section DateSections_Mask

  Internal.

Method Detail

### values

    public static final QDateTimeEdit.Section[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDateTimeEdit.Section c : QDateTimeEdit.Section.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDateTimeEdit.Section valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDateTimeEdit.Sections createQFlags(QDateTimeEdit.Section... values)

### resolve

    public static QDateTimeEdit.Section resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD